define("pbWofExoticFarEastGrandMajorJackpotApi", ["componentmodelComponentApi", "gameLayoutApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, gameLayoutApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof pbWofExoticFarEastGrandMajorJackpotApi == 'undefined') {
            var pbWofExoticFarEastGrandMajorJackpotApi = {};
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotDeclaration = function() {};
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotDeclaration = ck_implements(pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotDeclaration, componentmodelComponentApi.IComponentDeclaration);
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotDeclaration.__name__ = ["pbWofExoticFarEastGrandMajorJackpotApi", "GrandMajorJackpotDeclaration"];
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotDeclaration.prototype.getImplementedPorts = function() {
            return [pbWofExoticFarEastGrandMajorJackpotApi.IGrandMajorJackpotImplementationPort];
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotDeclaration.prototype.getUsedPorts = function() {
            return [pbWofExoticFarEastGrandMajorJackpotApi.IGrandMajorJackpotPort, gameLayoutApi.IGameLayoutPort];
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotDeclaration.prototype.__class__ = pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotDeclaration;

        pbWofExoticFarEastGrandMajorJackpotApi.IGrandMajorJackpotPort = function() {}
        pbWofExoticFarEastGrandMajorJackpotApi.IGrandMajorJackpotPort.prototype = {

            getShow: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getHide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getSendSomeAck: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getUpdateLabels: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };

        pbWofExoticFarEastGrandMajorJackpotApi.IGrandMajorJackpotImplementationPort = function() {}
        pbWofExoticFarEastGrandMajorJackpotApi.IGrandMajorJackpotImplementationPort.prototype = {

            getShow: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getHide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getSendSomeAck: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getUpdateLabels: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort = function(bus) {
            this.updateLabels = new clientkernelEventbusApi.Topic("grandMajorJackpot:updateLabels");
            this.sendSomeAck = new clientkernelEventbusApi.Topic("grandMajorJackpot:sendSomeAck");
            this.hide = new clientkernelEventbusApi.Topic("grandMajorJackpot:hide");
            this.show = new clientkernelEventbusApi.Topic("grandMajorJackpot:show");
            this.show.connect(bus);
            this.hide.connect(bus);
            this.sendSomeAck.connect(bus);
            this.updateLabels.connect(bus);
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort = ck_implements(pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort, pbWofExoticFarEastGrandMajorJackpotApi.IGrandMajorJackpotPort);
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort = ck_implements(pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort, pbWofExoticFarEastGrandMajorJackpotApi.IGrandMajorJackpotImplementationPort);
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort.__interfaces__ = [pbWofExoticFarEastGrandMajorJackpotApi.IGrandMajorJackpotPort, pbWofExoticFarEastGrandMajorJackpotApi.IGrandMajorJackpotImplementationPort];
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort.__name__ = ["pbWofExoticFarEastGrandMajorJackpotApi", "GrandMajorJackpotPort"];
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort.prototype.show = null;
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort.prototype.hide = null;
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort.prototype.sendSomeAck = null;
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort.prototype.updateLabels = null;
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort.prototype.getShow = function() {
            return this.show;
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort.prototype.getHide = function() {
            return this.hide;
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort.prototype.getSendSomeAck = function() {
            return this.sendSomeAck;
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort.prototype.getUpdateLabels = function() {
            return this.updateLabels;
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort.prototype.__class__ = pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort;
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPortFactory = function() {};
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPortFactory = ck_implements(pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPortFactory, componentmodelComponentApi.IPortFactory);
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPortFactory.__interfaces__ = [componentmodelComponentApi.IPortFactory];
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPortFactory.__name__ = ["pbWofExoticFarEastGrandMajorJackpotApi", "GrandMajorJackpotPortFactory"];
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPortFactory.prototype.provide = function(channel) {
            return new pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort(channel);
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPortFactory.prototype["use"] = function(channel) {
            return new pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPort(channel);
        };
        pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPortFactory.prototype.__class__ = pbWofExoticFarEastGrandMajorJackpotApi.GrandMajorJackpotPortFactory;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: pbWofExoticFarEastGrandMajorJackpotApi
        };
    });
//# sourceURL=pbWofExoticFarEastGrandMajorJackpotApi.js